schedule function vg:1t 1t

team join player @a[advancements={vg:warning/enemy=false},team=!player]
team leave @a[advancements={vg:warning/enemy=true},team=player]

tag @e[type=#skeletons,tag=!vg.village_guard,tag=!minecraft.creeper_drop_music_discs] add minecraft.creeper_drop_music_discs

#PATCHES WITH OTHER MODS
function vg:patch/1
function vg:patch/2

#VILLAGE GUARD SPAWN EGG CODE
execute as @e[type=area_effect_cloud,tag=vg.spawn] at @s run function summon:vg/village_guard
execute as @e[type=area_effect_cloud,tag=vg.spawn] at @s run playsound entity.skeleton.ambient ambient @a ~ ~ ~ 100
kill @e[type=area_effect_cloud,tag=vg.spawn]

#VG HURT SOUND
execute as @e[type=skeleton,tag=vg.village_guard,nbt={HurtTime:9s}] at @s run playsound minecraft:entity.skeleton.hurt hostile @a ~ ~ ~ 1 0.8
execute as @e[type=skeleton,tag=vg.village_guard,predicate=vg:has/resistance_2,nbt={HurtTime:9s}] at @s run playsound minecraft:item.shield.block hostile @a ~ ~ ~

#VG DEATH SOUND
execute as @e[type=item,nbt={Item:{components:{"minecraft:custom_data":{vg.death:1b}}}}] at @s run function vg:death

#VILLAGE GUARD FLOAT
execute as @e[type=minecraft:skeleton,tag=vg.village_guard] at @s run execute if block ~ ~0.5 ~ #vg:liquid_blocks run execute if block ~ ~2 ~ #vg:liquid_blocks run tp @s ~ ~0.2 ~

execute as @e[type=minecraft:skeleton,tag=vg.village_guard] at @s run execute if block ~ ~0.5 ~ #vg:liquid_blocks run execute if block ~ ~2 ~ #vg:air_blocks run tp @s ~ ~0.2 ~

#VILLAGE GUARD SWIM TOWARDS SURFACE
execute as @e[type=minecraft:skeleton,tag=vg.village_guard,predicate=!vg:angry] at @s run execute if block ~ ~ ~ #vg:liquid_blocks run execute if entity @e[type=!player,tag=vg.protected,distance=5..100] if block ^ ^1 ^1 #vg:air_blocks run tp @s ^ ^-0.1 ^0.1 facing entity @e[type=!player,tag=vg.protected,distance=5..100,sort=nearest,limit=1,nbt={OnGround:1b}]

#VILLAGE GUARD ARCHER SWIM AWAY FROM ENEMIES
execute as @e[type=minecraft:skeleton,tag=vg.village_guard,predicate=vg:angry,nbt={HandItems:[{id:"minecraft:bow"}]},sort=random] at @s run execute if block ~ ~ ~ #vg:liquid_blocks run execute if entity @e[nbt=!{Invulnerable:1b},tag=vg.curr_tgt,distance=..7] if block ^-1 ^1 ^-1 #vg:air_blocks run tp @s ^-0.2 ^-0.1 ^-0.2

#VILLAGE GUARD SWIM TOWARDS ENEMIES
execute as @e[type=minecraft:skeleton,tag=vg.village_guard,predicate=vg:angry,nbt=!{HandItems:[{id:"minecraft:bow"}]},sort=random] at @s run execute if block ~ ~ ~ #vg:liquid_blocks run execute if entity @e[nbt=!{Invulnerable:1b},tag=vg.curr_tgt,distance=..100,limit=1] if block ^ ^1 ^1 air run tp @s ^ ^-0.1 ^0.1